WESNOTHD(6)

??
wesnothd - ???? Wesnoth ???????

??
wesnothd [-dv] [-c path] [-p port] [-t number] [-T number]
wesnothd -V

??
Manages Battle for Wesnoth multiplayer games. See http://www.wesnoth.org/wiki/ServerAdministration on what commands the server accepts via the wesnoth client (/query ...) or the fifo.

??

-c path, --config path
    ?????????????????SERVER CONFIG????SIGHUP???????????????????

-d, --daemon
    ??????????

-h, --help
    ????????

--log-level=domain1,domain2,...
    ??????????all??????????????????????error, warning, info,debug???????error??server??????info?

-p port, --port port
    ????????????????????15000?

-t number, --threads number
    ????I/O??????????? n (????5? ???? 30)?

-T number, --max-threads number
    ???????????????????0????????????0?

-V, --version
    ????????

-v, --verbose
    ?????????

?????

  ?????:

[tag]

    key="value"

    key="value,value,..."

[/tag]

  ?????:

ban_save_file
    Full or relative path to a (gzip compressed) file that the server can read and write. Bans will be saved to this file and read again on server start.

connections_allowed
    ??IP???????(????5)

disallow_names
    ??????????????/??????? "?" ? "?"?????????? glob(7) ????(??????????????)?? *admin*,*admln*,*server*,ai,ai?,computer,human,network,player?

fifo_path
    The path to the fifo you can echo server commands into (same as /query ... from wesnoth). If not specified defaults to the compile-time specified path (default: /var/run/socket/wesnothd/socket).

max_messages
    messages_time_period?????????? (???: 4)

messages_time_period
    ??????(?)? (???: 10 ?)

motd
    ?????

passwd
    ??????????????"admin"???

restart_command
    The command that the server uses to start a new server process via the `restart' command. (Can only be issued via the fifo.)

versions_accepted
    ?????????????????? "?" ? "?" ????????????
    ??: versions_accepted="*" ?????????

  ????:

[redirect] ???????????????????

    host
        ???????????

    port
        ????

    version
        ???????????????????????versions_accepted??????

[ban_time] A tag to define convenient keywords for temporary ban time lengths.

    name
        The name used to reference the ban time.

    time
        The time length definition. The format is: %d[%s[%d%s[...]]] where %s is s (seconds), m (minutes), h (hours), D (days), M (months) or Y (years) and %d is a number. If no time modifier is given minutes (m) are assumed. Example: time="1D12h30m" results in a ban time of 1 day, 12 hours and 30 minutes.

[proxy] ?????????????????????????????????????[redirect]????????

??
? David White <davidnwhite@verizon.net>???? Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> ? Soliton <soliton.de@gmail.com>???????????Cyril Bouthors <cyril@bouthors.org>???
????: http://www.wesnoth.org/????????:http://wesnoth-tw.blogspot.com/

??
?? © 2003-2007 David White <davidnwhite@verizon.net>
????????????FSF???GPL v2??????????This is Free Software; this software is licensed under the GPL version 2, as published by the Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

??
wesnoth(6), wesnoth_editor(6)